Package org.apache.velocity.runtime.parser.node

# Class ASTObjectArray

java.lang.Object
org.apache.velocity.runtime.parser.node.SimpleNode
org.apache.velocity.runtime.parser.node.ASTObjectArray

All Implemented Interfaces:
  `Cloneable`, `Node`, `Renderable`

public class ASTObjectArray extends SimpleNode

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode

`children, column, first, firstImage, id, info, invalid, last, lastImage, line, literal, log, parent, parser, rsvc, state, template`

## Constructor Summary

Constructors
Constructor
Description
`ASTObjectArray(int id)`
`ASTObjectArray(Parser p, int id)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(InternalContextAdapter context)`
`Object`
`init(InternalContextAdapter context, Object data)`
`Object`
`jjtAccept(StandardParserVisitor visitor, Object data)`
`Object`
`value(InternalContextAdapter context)`

### Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode

`childrenAccept, cleanupParserAndTokens, clone, clone, dump, dump, dump, execute, getColumn, getFirstToken, getFirstTokenImage, getInfo, getLastToken, getLastTokenImage, getLine, getLocation, getParser, getRuntimeServices, getTemplate, getTemplateName, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, saveTokenImages, setFirstToken, setInfo, setInvalid, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASTObjectArray

public ASTObjectArray(int id)

Parameters:
  `id` -

### ASTObjectArray

public ASTObjectArray(Parser p, int id)

Parameters:
  `p` -
  `id` -

## Method Details

### jjtAccept

public Object jjtAccept(StandardParserVisitor visitor, Object data)

Specified by:
  `jjtAccept` in interface `Node`
Overrides:
  `jjtAccept` in class `SimpleNode`
Parameters:
  `visitor` -
  `data` -
Returns:
  The Node execution result object.
See Also:
  - `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.StandardParserVisitor, java.lang.Object)`

### value

public Object value(InternalContextAdapter context) throws MethodInvocationException

Specified by:
  `value` in interface `Node`
Overrides:
  `value` in class `SimpleNode`
Parameters:
  `context` -
Returns:
  The node value.
Throws:
  `MethodInvocationException`
See Also:
  - `SimpleNode.value(org.apache.velocity.context.InternalContextAdapter)`

### init

public Object init(InternalContextAdapter context, Object data) throws TemplateInitException

Specified by:
  `init` in interface `Node`
Overrides:
  `init` in class `SimpleNode`
Parameters:
  `context` -
  `data` -
Returns:
  The init result.
Throws:
  `TemplateInitException`
See Also:
  - `Node.init(org.apache.velocity.context.InternalContextAdapter, java.lang.Object)`

### evaluate

public boolean evaluate(InternalContextAdapter context)

Specified by:
  `evaluate` in interface `Node`
Overrides:
  `evaluate` in class `SimpleNode`
Parameters:
  `context` -
Returns:
  The evaluation result.
See Also:
  - `SimpleNode.evaluate(org.apache.velocity.context.InternalContextAdapter)`